summaryrefslogtreecommitdiffstats
path: root/ci/build_rpm
diff options
context:
space:
mode:
authorYao Lu <lu.yao135@zte.com.cn>2016-10-25 09:04:16 +0800
committerYao Lu <lu.yao135@zte.com.cn>2016-11-03 10:46:06 +0800
commit6a54cb0cdd4b6a2266134c328a27b9f76e4c2e2f (patch)
tree972698bc266b4943584dc54440bf49a33dab011d /ci/build_rpm
parent928e693b16310a8934bf20ce9e15eb84ca7d4d4f (diff)
add patch of openstack/daisycloud
the patch is about integrate kolla tar and tgz and centos to daisy bin and cp to appoint path Change-Id: I3043d2a38f15cdff44f9c777bff8bb5e517684bd Signed-off-by: Yao Lu <lu.yao135@zte.com.cn>
Diffstat (limited to 'ci/build_rpm')
-rw-r--r--ci/build_rpm/Dockerfile3
-rwxr-xr-xci/build_rpm/build_rpms_docker.sh41
2 files changed, 42 insertions, 2 deletions
diff --git a/ci/build_rpm/Dockerfile b/ci/build_rpm/Dockerfile
index 63ad0cb5..77aa1a3a 100644
--- a/ci/build_rpm/Dockerfile
+++ b/ci/build_rpm/Dockerfile
@@ -44,4 +44,5 @@ RUN yum -y install \
python-lesscpy \
python-migrate \
python-pint \
- python-routes
+ python-routes \
+ coreutils
diff --git a/ci/build_rpm/build_rpms_docker.sh b/ci/build_rpm/build_rpms_docker.sh
index 7313d57d..8b5c4096 100755
--- a/ci/build_rpm/build_rpms_docker.sh
+++ b/ci/build_rpm/build_rpms_docker.sh
@@ -9,4 +9,43 @@
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
-# Implement build (call make allrpm) here
+rpm_build_dir=/opt/daisy4nfv
+rpm_output_dir=$rpm_build_dir/build_output
+tmp_rpm_build_dir=/root/daisy4nfv
+
+cp -r $rpm_build_dir $tmp_rpm_build_dir
+cd $tmp_rpm_build_dir
+
+echo "#########################################################"
+echo " systemctl info: "
+echo "#########################################################"
+echo "###Uname: $(uname)"
+echo "###Hostname: $(hostname)"
+
+maxcount=3
+cnt=0
+rc=1
+while [ $cnt -lt $maxcount ] && [ $rc -ne 0 ]
+do
+ cnt=$[cnt + 1]
+ echo -e "\n\n\n*** Starting build attempt # $cnt"
+
+ git clone https://git.openstack.org/openstack/daisycloud-core
+ cp $tmp_rpm_build_dir/code/makefile_patch.sh daisycloud-core/tools/setup
+ cp $tmp_rpm_build_dir/code/install_interface_patch.sh daisycloud-core/tools/setup
+ cd daisycloud-core/make
+ make allrpm
+ rc=$?
+
+ echo "######################################################"
+ echo " done "
+ echo "######################################################"
+ if [ $rc -ne 0 ]; then
+ echo "### Build failed with rc $rc ###"
+ else
+ echo "### Build successfully at attempt # $cnt"
+ fi
+done
+cd ..
+cp target/el7/noarch/installdaisy_el7_noarch.bin $rpm_output_dir
+exit $rc